Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network94.3.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
94.3.0.0
Broadcast address
94.3.31.255
First usable
94.3.0.1
Last usable
94.3.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 5E030000 · Integer 1577254912 to 1577263103
Reverse DNS zones
0.3.94.in-addr.arpa
1.3.94.in-addr.arpa
2.3.94.in-addr.arpa
3.3.94.in-addr.arpa
4.3.94.in-addr.arpa
5.3.94.in-addr.arpa
6.3.94.in-addr.arpa
7.3.94.in-addr.arpa
8.3.94.in-addr.arpa
9.3.94.in-addr.arpa
10.3.94.in-addr.arpa
11.3.94.in-addr.arpa
12.3.94.in-addr.arpa
13.3.94.in-addr.arpa
14.3.94.in-addr.arpa
15.3.94.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011110.00000011.00000000.0000000094.3.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01011110.00000011.00000000.0000000094.3.0.0
Broadcast01011110.00000011.00011111.1111111194.3.31.255
Split into smaller subnets/31

94.3.0.0/19 makes 4,096 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
194.3.0.0/3194.3.0.0 to 94.3.0.1—2
294.3.0.2/3194.3.0.2 to 94.3.0.3—2
394.3.0.4/3194.3.0.4 to 94.3.0.5—2
494.3.0.6/3194.3.0.6 to 94.3.0.7—2
594.3.0.8/3194.3.0.8 to 94.3.0.9—2
694.3.0.10/3194.3.0.10 to 94.3.0.11—2
794.3.0.12/3194.3.0.12 to 94.3.0.13—2
894.3.0.14/3194.3.0.14 to 94.3.0.15—2
994.3.0.16/3194.3.0.16 to 94.3.0.17—2
1094.3.0.18/3194.3.0.18 to 94.3.0.19—2
1194.3.0.20/3194.3.0.20 to 94.3.0.21—2
1294.3.0.22/3194.3.0.22 to 94.3.0.23—2
1394.3.0.24/3194.3.0.24 to 94.3.0.25—2
1494.3.0.26/3194.3.0.26 to 94.3.0.27—2
1594.3.0.28/3194.3.0.28 to 94.3.0.29—2
1694.3.0.30/3194.3.0.30 to 94.3.0.31—2
1794.3.0.32/3194.3.0.32 to 94.3.0.33—2
1894.3.0.34/3194.3.0.34 to 94.3.0.35—2
1994.3.0.36/3194.3.0.36 to 94.3.0.37—2
2094.3.0.38/3194.3.0.38 to 94.3.0.39—2
2194.3.0.40/3194.3.0.40 to 94.3.0.41—2
2294.3.0.42/3194.3.0.42 to 94.3.0.43—2
2394.3.0.44/3194.3.0.44 to 94.3.0.45—2
2494.3.0.46/3194.3.0.46 to 94.3.0.47—2
2594.3.0.48/3194.3.0.48 to 94.3.0.49—2
2694.3.0.50/3194.3.0.50 to 94.3.0.51—2
2794.3.0.52/3194.3.0.52 to 94.3.0.53—2
2894.3.0.54/3194.3.0.54 to 94.3.0.55—2
2994.3.0.56/3194.3.0.56 to 94.3.0.57—2
3094.3.0.58/3194.3.0.58 to 94.3.0.59—2
3194.3.0.60/3194.3.0.60 to 94.3.0.61—2
3294.3.0.62/3194.3.0.62 to 94.3.0.63—2
3394.3.0.64/3194.3.0.64 to 94.3.0.65—2
3494.3.0.66/3194.3.0.66 to 94.3.0.67—2
3594.3.0.68/3194.3.0.68 to 94.3.0.69—2
3694.3.0.70/3194.3.0.70 to 94.3.0.71—2
3794.3.0.72/3194.3.0.72 to 94.3.0.73—2
3894.3.0.74/3194.3.0.74 to 94.3.0.75—2
3994.3.0.76/3194.3.0.76 to 94.3.0.77—2
4094.3.0.78/3194.3.0.78 to 94.3.0.79—2
4194.3.0.80/3194.3.0.80 to 94.3.0.81—2
4294.3.0.82/3194.3.0.82 to 94.3.0.83—2
4394.3.0.84/3194.3.0.84 to 94.3.0.85—2
4494.3.0.86/3194.3.0.86 to 94.3.0.87—2
4594.3.0.88/3194.3.0.88 to 94.3.0.89—2
4694.3.0.90/3194.3.0.90 to 94.3.0.91—2
4794.3.0.92/3194.3.0.92 to 94.3.0.93—2
4894.3.0.94/3194.3.0.94 to 94.3.0.95—2
4994.3.0.96/3194.3.0.96 to 94.3.0.97—2
5094.3.0.98/3194.3.0.98 to 94.3.0.99—2
5194.3.0.100/3194.3.0.100 to 94.3.0.101—2
5294.3.0.102/3194.3.0.102 to 94.3.0.103—2
5394.3.0.104/3194.3.0.104 to 94.3.0.105—2
5494.3.0.106/3194.3.0.106 to 94.3.0.107—2
5594.3.0.108/3194.3.0.108 to 94.3.0.109—2
5694.3.0.110/3194.3.0.110 to 94.3.0.111—2
5794.3.0.112/3194.3.0.112 to 94.3.0.113—2
5894.3.0.114/3194.3.0.114 to 94.3.0.115—2
5994.3.0.116/3194.3.0.116 to 94.3.0.117—2
6094.3.0.118/3194.3.0.118 to 94.3.0.119—2
6194.3.0.120/3194.3.0.120 to 94.3.0.121—2
6294.3.0.122/3194.3.0.122 to 94.3.0.123—2
6394.3.0.124/3194.3.0.124 to 94.3.0.125—2
6494.3.0.126/3194.3.0.126 to 94.3.0.127—2
6594.3.0.128/3194.3.0.128 to 94.3.0.129—2
6694.3.0.130/3194.3.0.130 to 94.3.0.131—2
6794.3.0.132/3194.3.0.132 to 94.3.0.133—2
6894.3.0.134/3194.3.0.134 to 94.3.0.135—2
6994.3.0.136/3194.3.0.136 to 94.3.0.137—2
7094.3.0.138/3194.3.0.138 to 94.3.0.139—2
7194.3.0.140/3194.3.0.140 to 94.3.0.141—2
7294.3.0.142/3194.3.0.142 to 94.3.0.143—2
7394.3.0.144/3194.3.0.144 to 94.3.0.145—2
7494.3.0.146/3194.3.0.146 to 94.3.0.147—2
7594.3.0.148/3194.3.0.148 to 94.3.0.149—2
7694.3.0.150/3194.3.0.150 to 94.3.0.151—2
7794.3.0.152/3194.3.0.152 to 94.3.0.153—2
7894.3.0.154/3194.3.0.154 to 94.3.0.155—2
7994.3.0.156/3194.3.0.156 to 94.3.0.157—2
8094.3.0.158/3194.3.0.158 to 94.3.0.159—2
8194.3.0.160/3194.3.0.160 to 94.3.0.161—2
8294.3.0.162/3194.3.0.162 to 94.3.0.163—2
8394.3.0.164/3194.3.0.164 to 94.3.0.165—2
8494.3.0.166/3194.3.0.166 to 94.3.0.167—2
8594.3.0.168/3194.3.0.168 to 94.3.0.169—2
8694.3.0.170/3194.3.0.170 to 94.3.0.171—2
8794.3.0.172/3194.3.0.172 to 94.3.0.173—2
8894.3.0.174/3194.3.0.174 to 94.3.0.175—2
8994.3.0.176/3194.3.0.176 to 94.3.0.177—2
9094.3.0.178/3194.3.0.178 to 94.3.0.179—2
9194.3.0.180/3194.3.0.180 to 94.3.0.181—2
9294.3.0.182/3194.3.0.182 to 94.3.0.183—2
9394.3.0.184/3194.3.0.184 to 94.3.0.185—2
9494.3.0.186/3194.3.0.186 to 94.3.0.187—2
9594.3.0.188/3194.3.0.188 to 94.3.0.189—2
9694.3.0.190/3194.3.0.190 to 94.3.0.191—2
9794.3.0.192/3194.3.0.192 to 94.3.0.193—2
9894.3.0.194/3194.3.0.194 to 94.3.0.195—2
9994.3.0.196/3194.3.0.196 to 94.3.0.197—2
10094.3.0.198/3194.3.0.198 to 94.3.0.199—2
10194.3.0.200/3194.3.0.200 to 94.3.0.201—2
10294.3.0.202/3194.3.0.202 to 94.3.0.203—2
10394.3.0.204/3194.3.0.204 to 94.3.0.205—2
10494.3.0.206/3194.3.0.206 to 94.3.0.207—2
10594.3.0.208/3194.3.0.208 to 94.3.0.209—2
10694.3.0.210/3194.3.0.210 to 94.3.0.211—2
10794.3.0.212/3194.3.0.212 to 94.3.0.213—2
10894.3.0.214/3194.3.0.214 to 94.3.0.215—2
10994.3.0.216/3194.3.0.216 to 94.3.0.217—2
11094.3.0.218/3194.3.0.218 to 94.3.0.219—2
11194.3.0.220/3194.3.0.220 to 94.3.0.221—2
11294.3.0.222/3194.3.0.222 to 94.3.0.223—2
11394.3.0.224/3194.3.0.224 to 94.3.0.225—2
11494.3.0.226/3194.3.0.226 to 94.3.0.227—2
11594.3.0.228/3194.3.0.228 to 94.3.0.229—2
11694.3.0.230/3194.3.0.230 to 94.3.0.231—2
11794.3.0.232/3194.3.0.232 to 94.3.0.233—2
11894.3.0.234/3194.3.0.234 to 94.3.0.235—2
11994.3.0.236/3194.3.0.236 to 94.3.0.237—2
12094.3.0.238/3194.3.0.238 to 94.3.0.239—2
12194.3.0.240/3194.3.0.240 to 94.3.0.241—2
12294.3.0.242/3194.3.0.242 to 94.3.0.243—2
12394.3.0.244/3194.3.0.244 to 94.3.0.245—2
12494.3.0.246/3194.3.0.246 to 94.3.0.247—2
12594.3.0.248/3194.3.0.248 to 94.3.0.249—2
12694.3.0.250/3194.3.0.250 to 94.3.0.251—2
12794.3.0.252/3194.3.0.252 to 94.3.0.253—2
12894.3.0.254/3194.3.0.254 to 94.3.0.255—2
12994.3.1.0/3194.3.1.0 to 94.3.1.1—2
13094.3.1.2/3194.3.1.2 to 94.3.1.3—2
13194.3.1.4/3194.3.1.4 to 94.3.1.5—2
13294.3.1.6/3194.3.1.6 to 94.3.1.7—2
13394.3.1.8/3194.3.1.8 to 94.3.1.9—2
13494.3.1.10/3194.3.1.10 to 94.3.1.11—2
13594.3.1.12/3194.3.1.12 to 94.3.1.13—2
13694.3.1.14/3194.3.1.14 to 94.3.1.15—2
13794.3.1.16/3194.3.1.16 to 94.3.1.17—2
13894.3.1.18/3194.3.1.18 to 94.3.1.19—2
13994.3.1.20/3194.3.1.20 to 94.3.1.21—2
14094.3.1.22/3194.3.1.22 to 94.3.1.23—2
14194.3.1.24/3194.3.1.24 to 94.3.1.25—2
14294.3.1.26/3194.3.1.26 to 94.3.1.27—2
14394.3.1.28/3194.3.1.28 to 94.3.1.29—2
14494.3.1.30/3194.3.1.30 to 94.3.1.31—2
14594.3.1.32/3194.3.1.32 to 94.3.1.33—2
14694.3.1.34/3194.3.1.34 to 94.3.1.35—2
14794.3.1.36/3194.3.1.36 to 94.3.1.37—2
14894.3.1.38/3194.3.1.38 to 94.3.1.39—2
14994.3.1.40/3194.3.1.40 to 94.3.1.41—2
15094.3.1.42/3194.3.1.42 to 94.3.1.43—2
15194.3.1.44/3194.3.1.44 to 94.3.1.45—2
15294.3.1.46/3194.3.1.46 to 94.3.1.47—2
15394.3.1.48/3194.3.1.48 to 94.3.1.49—2
15494.3.1.50/3194.3.1.50 to 94.3.1.51—2
15594.3.1.52/3194.3.1.52 to 94.3.1.53—2
15694.3.1.54/3194.3.1.54 to 94.3.1.55—2
15794.3.1.56/3194.3.1.56 to 94.3.1.57—2
15894.3.1.58/3194.3.1.58 to 94.3.1.59—2
15994.3.1.60/3194.3.1.60 to 94.3.1.61—2
16094.3.1.62/3194.3.1.62 to 94.3.1.63—2
16194.3.1.64/3194.3.1.64 to 94.3.1.65—2
16294.3.1.66/3194.3.1.66 to 94.3.1.67—2
16394.3.1.68/3194.3.1.68 to 94.3.1.69—2
16494.3.1.70/3194.3.1.70 to 94.3.1.71—2
16594.3.1.72/3194.3.1.72 to 94.3.1.73—2
16694.3.1.74/3194.3.1.74 to 94.3.1.75—2
16794.3.1.76/3194.3.1.76 to 94.3.1.77—2
16894.3.1.78/3194.3.1.78 to 94.3.1.79—2
16994.3.1.80/3194.3.1.80 to 94.3.1.81—2
17094.3.1.82/3194.3.1.82 to 94.3.1.83—2
17194.3.1.84/3194.3.1.84 to 94.3.1.85—2
17294.3.1.86/3194.3.1.86 to 94.3.1.87—2
17394.3.1.88/3194.3.1.88 to 94.3.1.89—2
17494.3.1.90/3194.3.1.90 to 94.3.1.91—2
17594.3.1.92/3194.3.1.92 to 94.3.1.93—2
17694.3.1.94/3194.3.1.94 to 94.3.1.95—2
17794.3.1.96/3194.3.1.96 to 94.3.1.97—2
17894.3.1.98/3194.3.1.98 to 94.3.1.99—2
17994.3.1.100/3194.3.1.100 to 94.3.1.101—2
18094.3.1.102/3194.3.1.102 to 94.3.1.103—2
18194.3.1.104/3194.3.1.104 to 94.3.1.105—2
18294.3.1.106/3194.3.1.106 to 94.3.1.107—2
18394.3.1.108/3194.3.1.108 to 94.3.1.109—2
18494.3.1.110/3194.3.1.110 to 94.3.1.111—2
18594.3.1.112/3194.3.1.112 to 94.3.1.113—2
18694.3.1.114/3194.3.1.114 to 94.3.1.115—2
18794.3.1.116/3194.3.1.116 to 94.3.1.117—2
18894.3.1.118/3194.3.1.118 to 94.3.1.119—2
18994.3.1.120/3194.3.1.120 to 94.3.1.121—2
19094.3.1.122/3194.3.1.122 to 94.3.1.123—2
19194.3.1.124/3194.3.1.124 to 94.3.1.125—2
19294.3.1.126/3194.3.1.126 to 94.3.1.127—2
19394.3.1.128/3194.3.1.128 to 94.3.1.129—2
19494.3.1.130/3194.3.1.130 to 94.3.1.131—2
19594.3.1.132/3194.3.1.132 to 94.3.1.133—2
19694.3.1.134/3194.3.1.134 to 94.3.1.135—2
19794.3.1.136/3194.3.1.136 to 94.3.1.137—2
19894.3.1.138/3194.3.1.138 to 94.3.1.139—2
19994.3.1.140/3194.3.1.140 to 94.3.1.141—2
20094.3.1.142/3194.3.1.142 to 94.3.1.143—2
20194.3.1.144/3194.3.1.144 to 94.3.1.145—2
20294.3.1.146/3194.3.1.146 to 94.3.1.147—2
20394.3.1.148/3194.3.1.148 to 94.3.1.149—2
20494.3.1.150/3194.3.1.150 to 94.3.1.151—2
20594.3.1.152/3194.3.1.152 to 94.3.1.153—2
20694.3.1.154/3194.3.1.154 to 94.3.1.155—2
20794.3.1.156/3194.3.1.156 to 94.3.1.157—2
20894.3.1.158/3194.3.1.158 to 94.3.1.159—2
20994.3.1.160/3194.3.1.160 to 94.3.1.161—2
21094.3.1.162/3194.3.1.162 to 94.3.1.163—2
21194.3.1.164/3194.3.1.164 to 94.3.1.165—2
21294.3.1.166/3194.3.1.166 to 94.3.1.167—2
21394.3.1.168/3194.3.1.168 to 94.3.1.169—2
21494.3.1.170/3194.3.1.170 to 94.3.1.171—2
21594.3.1.172/3194.3.1.172 to 94.3.1.173—2
21694.3.1.174/3194.3.1.174 to 94.3.1.175—2
21794.3.1.176/3194.3.1.176 to 94.3.1.177—2
21894.3.1.178/3194.3.1.178 to 94.3.1.179—2
21994.3.1.180/3194.3.1.180 to 94.3.1.181—2
22094.3.1.182/3194.3.1.182 to 94.3.1.183—2
22194.3.1.184/3194.3.1.184 to 94.3.1.185—2
22294.3.1.186/3194.3.1.186 to 94.3.1.187—2
22394.3.1.188/3194.3.1.188 to 94.3.1.189—2
22494.3.1.190/3194.3.1.190 to 94.3.1.191—2
22594.3.1.192/3194.3.1.192 to 94.3.1.193—2
22694.3.1.194/3194.3.1.194 to 94.3.1.195—2
22794.3.1.196/3194.3.1.196 to 94.3.1.197—2
22894.3.1.198/3194.3.1.198 to 94.3.1.199—2
22994.3.1.200/3194.3.1.200 to 94.3.1.201—2
23094.3.1.202/3194.3.1.202 to 94.3.1.203—2
23194.3.1.204/3194.3.1.204 to 94.3.1.205—2
23294.3.1.206/3194.3.1.206 to 94.3.1.207—2
23394.3.1.208/3194.3.1.208 to 94.3.1.209—2
23494.3.1.210/3194.3.1.210 to 94.3.1.211—2
23594.3.1.212/3194.3.1.212 to 94.3.1.213—2
23694.3.1.214/3194.3.1.214 to 94.3.1.215—2
23794.3.1.216/3194.3.1.216 to 94.3.1.217—2
23894.3.1.218/3194.3.1.218 to 94.3.1.219—2
23994.3.1.220/3194.3.1.220 to 94.3.1.221—2
24094.3.1.222/3194.3.1.222 to 94.3.1.223—2
24194.3.1.224/3194.3.1.224 to 94.3.1.225—2
24294.3.1.226/3194.3.1.226 to 94.3.1.227—2
24394.3.1.228/3194.3.1.228 to 94.3.1.229—2
24494.3.1.230/3194.3.1.230 to 94.3.1.231—2
24594.3.1.232/3194.3.1.232 to 94.3.1.233—2
24694.3.1.234/3194.3.1.234 to 94.3.1.235—2
24794.3.1.236/3194.3.1.236 to 94.3.1.237—2
24894.3.1.238/3194.3.1.238 to 94.3.1.239—2
24994.3.1.240/3194.3.1.240 to 94.3.1.241—2
25094.3.1.242/3194.3.1.242 to 94.3.1.243—2
25194.3.1.244/3194.3.1.244 to 94.3.1.245—2
25294.3.1.246/3194.3.1.246 to 94.3.1.247—2
25394.3.1.248/3194.3.1.248 to 94.3.1.249—2
25494.3.1.250/3194.3.1.250 to 94.3.1.251—2
25594.3.1.252/3194.3.1.252 to 94.3.1.253—2
25694.3.1.254/3194.3.1.254 to 94.3.1.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses